SpiSlaveResponseEvent

com.ftdi.j2xx.protocol

## Class SpiSlaveResponseEvent

- java.lang.Object
- - com.ftdi.j2xx.protocol.SpiSlaveEvent
  - - com.ftdi.j2xx.protocol.SpiSlaveResponseEvent

-     public class SpiSlaveResponseEvent
      extends com.ftdi.j2xx.protocol.SpiSlaveEvent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DATA_CORRUPTED` Response code from spi slave processor
    `static int` | `IO_ERROR` Response code from spi slave processor
    `static int` | `OK` Response code from spi slave processor
    `static int` | `RES_SLAVE_READ` Response type from spi slave processor
    `static int` | `RESET` Response code from spi slave processor

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpiSlaveResponseEvent(int iEventType, int responseCode, java.lang.Object pArg0, java.lang.Object pArg1, java.lang.Object pArg2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getResponseCode()` Get response code from the event

    - ### Methods inherited from class com.ftdi.j2xx.protocol.SpiSlaveEvent

      `getArg0, getArg1, getArg2, getEventType, getSync, setArg0, setArg1, setArg2, setEventType, setSync`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RES_SLAVE_READ

          public static final int RES_SLAVE_READ

      Response type from spi slave processor

      See Also:
        Constant Field Values

    - #### OK

          public static final int OK

      Response code from spi slave processor

      See Also:
        Constant Field Values

    - #### DATA_CORRUPTED

          public static final int DATA_CORRUPTED

      Response code from spi slave processor

      See Also:
        Constant Field Values

    - #### IO_ERROR

          public static final int IO_ERROR

      Response code from spi slave processor

      See Also:
        Constant Field Values

    - #### RESET

          public static final int RESET

      Response code from spi slave processor

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpiSlaveResponseEvent

          public SpiSlaveResponseEvent(int iEventType,
                               int responseCode,
                               java.lang.Object pArg0,
                               java.lang.Object pArg1,
                               java.lang.Object pArg2)

  - ### Method Detail

    - #### getResponseCode

          public int getResponseCode()

      Get response code from the event

      Returns:
        response code

About FTDI | FTDI Licence Terms